FROM ubuntu
MAINTAINER michael.graf@uni-tuebingen.de

RUN apt -y update && apt-get -y install software-properties-common
RUN add-apt-repository ppa:deadsnakes/ppa && apt -y update
RUN apt-get install -y python3.8 && apt install python-is-python3 && apt install -y python3-pip
COPY ./requirements.txt /tmp/requirements.txt
RUN pip install --no-cache-dir -r /tmp/requirements.txt

# install train container library
COPY ./train_lib /tmp/train-container-library/train_lib
COPY ./setup.py /tmp/train-container-library/setup.py
COPY ./README.md /tmp/train-container-library/README.md
RUN pip install --no-cache-dir /tmp/train-container-library/